## PDS Get AGPS Config

PDS Get AGPS Config

## Functions

QmiMessagePdsGetAgpsConfigInput * | qmi_message_pds_get_agps_config_input_new ()
QmiMessagePdsGetAgpsConfigInput * | qmi_message_pds_get_agps_config_input_ref ()
void | qmi_message_pds_get_agps_config_input_unref ()
gboolean | qmi_message_pds_get_agps_config_input_get_network_mode ()
gboolean | qmi_message_pds_get_agps_config_input_set_network_mode ()
QmiMessagePdsGetAgpsConfigOutput * | qmi_message_pds_get_agps_config_output_ref ()
void | qmi_message_pds_get_agps_config_output_unref ()
gboolean | qmi_message_pds_get_agps_config_output_get_result ()
gboolean | qmi_message_pds_get_agps_config_output_get_location_server_address ()
gboolean | qmi_message_pds_get_agps_config_output_get_location_server_url ()
void | qmi_client_pds_get_agps_config ()
QmiMessagePdsGetAgpsConfigOutput * | qmi_client_pds_get_agps_config_finish ()

## Types and Values

| QmiMessagePdsGetAgpsConfigInput
| QmiMessagePdsGetAgpsConfigOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessagePdsGetAgpsConfigInput
        ╰── QmiMessagePdsGetAgpsConfigOutput

## Description

## Functions

### qmi_message_pds_get_agps_config_input_new ()

    QmiMessagePdsGetAgpsConfigInput *
    qmi_message_pds_get_agps_config_input_new
                                   (void);

Allocates a new QmiMessagePdsGetAgpsConfigInput.

#### Returns

the newly created QmiMessagePdsGetAgpsConfigInput. The returned value should be freed with `qmi_message_pds_get_agps_config_input_unref()`.

Since: 1.12

### qmi_message_pds_get_agps_config_input_ref ()

    QmiMessagePdsGetAgpsConfigInput *
    qmi_message_pds_get_agps_config_input_ref
                                   (QmiMessagePdsGetAgpsConfigInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdsGetAgpsConfigInput. |

#### Returns

the new reference to `self` .

Since: 1.12

### qmi_message_pds_get_agps_config_input_unref ()

    void
    qmi_message_pds_get_agps_config_input_unref
                                   (QmiMessagePdsGetAgpsConfigInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdsGetAgpsConfigInput. |

Since: 1.12

### qmi_message_pds_get_agps_config_input_get_network_mode ()

    gboolean
    qmi_message_pds_get_agps_config_input_get_network_mode
                                   (QmiMessagePdsGetAgpsConfigInput *self,
                                    QmiPdsNetworkMode *value_network_mode,
                                    GError **error);

Get the 'Network Mode' field from `self` .

#### Parameters

self | a QmiMessagePdsGetAgpsConfigInput. |
value_network_mode | a placeholder for the output QmiPdsNetworkMode, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.12

### qmi_message_pds_get_agps_config_input_set_network_mode ()

    gboolean
    qmi_message_pds_get_agps_config_input_set_network_mode
                                   (QmiMessagePdsGetAgpsConfigInput *self,
                                    QmiPdsNetworkMode value_network_mode,
                                    GError **error);

Set the 'Network Mode' field in the message.

#### Parameters

self | a QmiMessagePdsGetAgpsConfigInput. |
value_network_mode | a QmiPdsNetworkMode. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.12

### qmi_message_pds_get_agps_config_output_ref ()

    QmiMessagePdsGetAgpsConfigOutput *
    qmi_message_pds_get_agps_config_output_ref
                                   (QmiMessagePdsGetAgpsConfigOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdsGetAgpsConfigOutput. |

#### Returns

the new reference to `self` .

Since: 1.12

### qmi_message_pds_get_agps_config_output_unref ()

    void
    qmi_message_pds_get_agps_config_output_unref
                                   (QmiMessagePdsGetAgpsConfigOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdsGetAgpsConfigOutput. |

Since: 1.12

### qmi_message_pds_get_agps_config_output_get_result ()

    gboolean
    qmi_message_pds_get_agps_config_output_get_result
                                   (QmiMessagePdsGetAgpsConfigOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePdsGetAgpsConfigOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.12

### qmi_message_pds_get_agps_config_output_get_location_server_address ()

    gboolean
    qmi_message_pds_get_agps_config_output_get_location_server_address
                                   (QmiMessagePdsGetAgpsConfigOutput *self,
                                    guint32 *value_location_server_address_ip,
                                    guint32 *value_location_server_address_port,
                                    GError **error);

Get the 'Location Server Address' field from `self` .

#### Parameters

self | a QmiMessagePdsGetAgpsConfigOutput. |
value_location_server_address_ip | a placeholder for the output guint32, or `NULL` if not required. |
value_location_server_address_port | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.12

### qmi_message_pds_get_agps_config_output_get_location_server_url ()

    gboolean
    qmi_message_pds_get_agps_config_output_get_location_server_url
                                   (QmiMessagePdsGetAgpsConfigOutput *self,
                                    GArray **value_location_server_url,
                                    GError **error);

Get the 'Location Server URL' field from `self` .

#### Parameters

self | a QmiMessagePdsGetAgpsConfigOutput. |
value_location_server_url | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.12

### qmi_client_pds_get_agps_config ()

    void
    qmi_client_pds_get_agps_config (QmiClientPds *self,
                                    QmiMessagePdsGetAgpsConfigInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get AGPS Config request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pds_get_agps_config_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPds. |
input | a QmiMessagePdsGetAgpsConfigInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.12

### qmi_client_pds_get_agps_config_finish ()

    QmiMessagePdsGetAgpsConfigOutput *
    qmi_client_pds_get_agps_config_finish (QmiClientPds *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_pds_get_agps_config()`.

#### Parameters

self | a QmiClientPds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pds_get_agps_config()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePdsGetAgpsConfigOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pds_get_agps_config_output_unref()`.

Since: 1.12

## Types and Values

### QmiMessagePdsGetAgpsConfigInput

    typedef struct _QmiMessagePdsGetAgpsConfigInput QmiMessagePdsGetAgpsConfigInput;

The QmiMessagePdsGetAgpsConfigInput structure contains private data and should only be accessed using the provided API.

Since: 1.12

### QmiMessagePdsGetAgpsConfigOutput

    typedef struct _QmiMessagePdsGetAgpsConfigOutput QmiMessagePdsGetAgpsConfigOutput;

The QmiMessagePdsGetAgpsConfigOutput structure contains private data and should only be accessed using the provided API.

Since: 1.12